#include <stdio.h>

struct dot {
  int x;
  int y;
} ;

void print_dot(struct dot *dp) {
  printf("dp ");
  if (dp!=NULL) {
    printf("(%d,%d)\n",
           dp->x,
           dp->y);
  } else {
    printf("NULL\n");
  }
}

void print_dot_old(struct dot *dp) {
  if (dp!=NULL) {
    printf("dp (%d,%d)  (old)\n",
           (*dp).x,
           (*dp).y);
  } 
}


int main(int argc, char **argv) {
  struct dot d;
  d.x=13;
  d.y=12;

  print_dot(&d);
  print_dot_old(&d);
  print_dot(NULL);
  
  return 0;
}
